/*************************************************************

  Rotate a servo using a slider!

  App project setup:
    Slider widget (0...180) on V3
 *************************************************************/

/* Comment this out to disable prints and save space */
#define BLYNK_PRINT Serial


#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266.h>
#include <Servo.h>

char auth[] = "pVZNouSVHXmOrJ3-srrk2kmHlFmq0GyV";  //YOUR AUTH TOKEN HERE(메일로_받은_토큰입력)
char ssid[] = "myiptime"; // YOUR WIFI ID HERE(공유기_이름_SSID_입력)
char pass[] = "01044488692"; //YOUR WIFI PASSWORD HERE(공유기_비번입력)
Servo servo;

BLYNK_WRITE(V3)
{
  servo.write(param.asInt());
}

void setup()
{
  // Debug console
  Serial.begin(9600);

  Blynk.begin(auth, ssid, pass);
  // You can also specify server:
  //Blynk.begin(auth, ssid, pass, "blynk-cloud.com", 80);
  //Blynk.begin(auth, ssid, pass, IPAddress(192,168,1,100), 8080);

  servo.attach(16); // NODEMCU_D0 PIN
}

void loop()
{
  Blynk.run();
}
